Create PDF
POST
https://picnie.com/api/v1/create-pdfCreate a PDF for a specific template.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
project_id* | string | The ID of the project. Example: |
template_id* | integer | The ID of the template. Example: |
template_name* | string | Name of the template. Example: |
type* | string | Must be 'pdf'. Example: |
details* | array | JSON array of objects specifying image and text elements. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/create-pdf"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"project_id": "1",
"template_id": 2020,
"template_name": "Daily Motivation",
"type": "pdf",
"details": [
{
"name": "background_image",
"image_url": "https://picnie.com/data/api_raw_assets/image_bg_0_20240108213254.png"
},
{
"name": "Title_0",
"text": "@reallygreatsite"
},
{
"name": "Title_1",
"text": "One step at a time, Youll get there"
}
]
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"url": "https://picnie.s3.ap-south-1.amazonaws.com/user_10/project_25/new_iWZVdE_2356_4707_240919045503.pdf"
}